Commit eeed903c authored by Adrien Béraud's avatar Adrien Béraud

docker: update tools

Change-Id: Ifa292294b6bf7a3dff71f70f6edcd78a68b93f5f
parent b977bae2
......@@ -39,14 +39,15 @@ RUN apt-get update && apt-get install -y --no-install-recommends \
&& locale-gen $LANG $LC_ALL && update-locale $LANG $LC_ALL
# Android SDK tools
RUN echo "prefer-family = IPv6" >> /etc/wgetrc
ENV ANDROID_HOME=/opt/android-sdk
ENV ANDROID_SDK_ROOT=${ANDROID_HOME}
RUN wget -O /tmp/android-tools.zip https://dl.google.com/android/repository/commandlinetools-linux-6609375_latest.zip && \
RUN wget -O /tmp/android-tools.zip https://dl.google.com/android/repository/commandlinetools-linux-6858069_latest.zip && \
mkdir -p ${ANDROID_HOME} && \
unzip -q -d ${ANDROID_HOME} /tmp/android-tools.zip && \
rm -f /tmp/android-tools.zip && \
chown -R root:root ${ANDROID_HOME}
ENV PATH=${PATH}:${ANDROID_HOME}/tools/bin
ENV PATH=${PATH}:${ANDROID_HOME}/cmdline-tools/bin
# Swig 4.0.1
RUN wget -O /tmp/swig.tar.gz https://github.com/swig/swig/archive/rel-4.0.1.tar.gz && \
......
......@@ -5,7 +5,7 @@ def buildFirebase = project.hasProperty('buildFirebase') || getGradle().getStart
android {
compileSdkVersion 30
buildToolsVersion '30.0.3'
ndkVersion "21.3.6528147"
ndkVersion '23.0.7272597 rc3'
defaultConfig {
minSdkVersion 21
targetSdkVersion 30
......@@ -77,7 +77,7 @@ android {
}
dependencies {
def dagger_version = '2.33'
def dagger_version = '2.35.1'
implementation fileTree(include: '*.jar', dir: 'libs')
implementation project(':libringclient')
......@@ -103,7 +103,7 @@ dependencies {
implementation 'com.j256.ormlite:ormlite-android:5.3'
// Barcode scanning
implementation('com.journeyapps:zxing-android-embedded:4.0.2@aar') { transitive = false }
implementation('com.journeyapps:zxing-android-embedded:4.2.0') { transitive = false }
implementation 'com.google.zxing:core:3.3.3'
// RxBindings
......@@ -123,6 +123,7 @@ dependencies {
implementation 'io.reactivex.rxjava2:rxandroid:2.1.1'
implementation 'com.jsibbold:zoomage:1.2.0'
implementation 'com.googlecode.ez-vcard:ez-vcard:0.11.2'
withFirebaseImplementation('com.google.firebase:firebase-messaging:21.1.0') {
exclude group: 'com.google.firebase', module: 'firebase-core'
......
buildscript {
repositories {
google()
jcenter()
maven { url "https://maven.google.com" }
mavenCentral()
}
dependencies {
classpath 'com.android.tools.build:gradle:4.1.3'
classpath 'com.android.tools.build:gradle:4.2.0-rc01'
classpath 'com.google.gms:google-services:4.3.5'
}
}
allprojects {
repositories {
google()
maven { url "https://maven.google.com" }
mavenCentral()
jcenter()
}
}
......@@ -3,4 +3,4 @@ distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-6.5-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-7.0-all.zip
......@@ -2,28 +2,28 @@ apply plugin: 'java'
dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
implementation fileTree(dir: 'libs', include: ['*.jar'])
// VCard parsing
compile 'com.googlecode.ez-vcard:ez-vcard:0.11.0'
implementation 'com.googlecode.ez-vcard:ez-vcard:0.11.2'
// QRCode encoding
compile 'com.google.zxing:core:3.3.3'
implementation 'com.google.zxing:core:3.3.3'
// dependency injection
compile 'javax.inject:javax.inject:1'
implementation 'javax.inject:javax.inject:1'
// ORM
compile 'com.j256.ormlite:ormlite-core:5.3'
implementation 'com.j256.ormlite:ormlite-core:5.3'
// Required -- JUnit 4 framework
testCompile 'junit:junit:4.13.2'
testImplementation 'junit:junit:4.13.2'
// RxJava
compile 'io.reactivex.rxjava2:rxjava:2.2.21'
implementation 'io.reactivex.rxjava2:rxjava:2.2.21'
// gson
compile 'com.google.code.gson:gson:2.8.6'
implementation 'com.google.code.gson:gson:2.8.6'
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment